# Class CoreAdkComponentProvider

java.lang.Object
com.google.adk.utils.CoreAdkComponentProvider

All Implemented Interfaces:
  `AdkComponentProvider`

public class CoreAdkComponentProvider extends Object implements AdkComponentProvider
Provides ADK components that are part of core.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoreAdkComponentProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Class<? extends BaseAgent>>`
  `getAgentClasses()`
  Returns agent classes for `LlmAgent`, `LoopAgent`, `ParallelAgent` and `SequentialAgent`.
  `List<Class<? extends BaseTool>>`
  `getToolClasses()`
  Returns tool classes for `AgentTool`, `LongRunningFunctionTool` and `ExampleTool`.
  `Map<String,BaseTool>`
  `getToolInstances()`
  Returns tool instances for `LoadArtifactsTool`, `ExitLoopTool` and `UrlContextTool`.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AdkComponentProvider

  `getToolsetClasses`
  Modifier and Type
  Method
  Description
  `default List<Class<? extends BaseToolset>>`
  `getToolsetClasses()`
  Returns a list of toolset classes to register.

- ## Constructor Details

  - ### CoreAdkComponentProvider

    public CoreAdkComponentProvider()

- ## Method Details

  - ### getAgentClasses

    public List<Class<? extends BaseAgent>> getAgentClasses()
    Returns agent classes for `LlmAgent`, `LoopAgent`, `ParallelAgent` and `SequentialAgent`.
    Specified by:
      `getAgentClasses` in interface `AdkComponentProvider`
    Returns:
      a list of agent classes.

  - ### getToolClasses

    public List<Class<? extends BaseTool>> getToolClasses()
    Returns tool classes for `AgentTool`, `LongRunningFunctionTool` and `ExampleTool`.
    Specified by:
      `getToolClasses` in interface `AdkComponentProvider`
    Returns:
      a list of tool classes.

  - ### getToolInstances

    public Map<String,BaseTool> getToolInstances()
    Returns tool instances for `LoadArtifactsTool`, `ExitLoopTool` and `UrlContextTool`.
    Specified by:
      `getToolInstances` in interface `AdkComponentProvider`
    Returns:
      a map of tool instances.